#---------------------------------------------------------------
# Project         : Mandrake Linux
# Module          : dynamic
# File            : dynamic.spec
# Version         : $Id: dynamic.spec,v 1.18 2002/03/11 21:38:08 flepied Exp $
# Author          : Frederic Lepied
# Created On      : Wed Aug  8 11:32:16 2001
# License         : GPL
# Purpose         : spec file to build an rpm
#---------------------------------------------------------------

%define name dynamic
%define version 0.5
%define release 2mdk

Summary: Handle dynamic creation of desktop entry for hotplug hardware
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: System/Configuration/Packaging
Requires: kudzu, psmisc, mount
# scannerdrake --dynamic
Conflicts: drakxtools < 1.1.7-41mdk
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

%description
Create desktop entries for GNOME and KDE when a new peripheral is
plugged in the system (mainly USB devices).

%prep
%setup

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog
%dir %{_sysconfdir}/dynamic
%dir %{_sysconfdir}/dynamic/scripts
%dir %{_sysconfdir}/dynamic/hooks
%dir %{_sysconfdir}/dynamic/launchers
%dir %{_sysconfdir}/dynamic/launchers/*
%config(noreplace) %{_sysconfdir}/dynamic/scripts/*.script
%config(noreplace) %{_sysconfdir}/dynamic/hooks/*.hook
%config(noreplace) %{_sysconfdir}/dynamic/launchers/part/kde.desktop

%changelog
* Mon Mar 11 2002 Frederic Lepied <flepied@mandrakesoft.com> 0.5-2mdk
- lp.script: change permission/owner/group of /dev/ptal-printd/* (Till).

* Mon Nov 19 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.5-1mdk
- scanner.script: call scannerdrake

* Mon Oct 22 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.4-8mdk
- lp.script: change permission/owner/group of /dev/oki4drv (Till).

* Fri Sep 21 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.4-7mdk
- lp.script: fix permissions of printer devices according to what is installed.

* Fri Sep 21 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.4-6mdk
- use DYNAMIC=no in /etc/sysconfig/system to disable completely
- check that / is rw in all scripts

* Mon Sep 17 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.4-5mdk
- added a way to deactivate dynamic support by adding a DYNAMIC_$name=no
in /etc/sysconfig/system.
- fixed check of / ro to avoid catching errors=continue (Borsenkow Andrej).

* Sun Sep 16 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.4-4mdk
- part.script: more robust by checking if / is rw and testing before
unmounting (Borsenkow Andrej).

* Sun Sep 16 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.4-3mdk
- run part.script only when whe are not anymore in rc.sysinit.

* Sat Sep 15 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.4-2mdk
- add part launcher for kde.
- visor script make the symlink to /dev/pilot

* Thu Sep 13 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.4-1mdk
- added part.script

* Wed Sep 12 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.3-3mdk
- lanchers are provided by packages themselves.

* Thu Sep  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3-2mdk
- Add support for gnome

* Tue Aug 28 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.3-1mdk
- removed unneeded messages when a desktop isn't installed.
- call pam_console_apply before running the desktop hooks.

* Sat Aug 25 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.2-1mdk
- added kde hook for webcam (lmontel)

* Thu Aug  2 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.1-1mdk
- first version

# dynamic.spec ends here
